Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class ArrowView

    java.lang.Object
      ru.biosoft.graphics.View
          ru.biosoft.graphics.CompositeView
              ru.biosoft.graphics.ArrowView

public class ArrowView
extends CompositeView

Nested Class Summary
`static class` | `ArrowView.Tip`

Field Summary
`static int` | `ARROW_TIP`
`static int` | `DIAMOND_TIP`
`protected Pen` | `pen`
`static int` | `SIMPLE_TIP`
`static int` | `TRIANGLE_TIP`

Fields inherited from class ru.biosoft.graphics.CompositeView
`children, DELTA, rect, REL, X_CC, X_LC, X_LL, X_LR, X_RC, X_RL, X_RR, X_UN, Y_BB, Y_BC, Y_BT, Y_CC, Y_TB, Y_TC, Y_TT, Y_UN`

Fields inherited from class ru.biosoft.graphics.View
`ACTIVE, at, BASELINE, BOTTOM, CENTER, HIDE, LEFT, model, RIGHT, shape, TOP, type`

Constructor Summary
`ArrowView(Pen pen, Brush brush, int x1, int y1, int x2, int y2, ArrowView.Tip startTip, ArrowView.Tip endTip)`
`ArrowView(Pen pen, Brush brush, int x1, int y1, int x2, int y2, int startTipType, int endTipType)`
`ArrowView(Pen pen, Brush brush, java.awt.Point pt0, java.awt.Point pt1, int startTip, int endTip)`
`ArrowView(Pen pen, int x1, int y1, int x2, int y2, int startTip, int endTip)`
`ArrowView(Pen pen, java.awt.Point pt0, java.awt.Point pt1, int startTip, int endTip)`

Method Summary
`static ArrowView.Tip` | `createArrowTip(Pen pen, Brush brush, int w1, int w2, int h)`
`static ArrowView.Tip` | `createDiamondTip(Pen pen, Brush brush, int w1, int w2, int h)`
`static ArrowView.Tip` | `createSimpleTip(Pen pen, int w, int h)`
`static ArrowView.Tip` | `createTip(Pen pen, Brush brush, int tipType)`
`static ArrowView.Tip` | `createTriangleTip(Pen pen, Brush brush, int w, int h)`
`static void` | `locateTip(ArrowView.Tip tip, double alpha, int x, int y)`
`static void` | `rotate(java.awt.Polygon pol, double alpha)`

Methods inherited from class ru.biosoft.graphics.CompositeView
`add, add, add, elementAt, getBounds, getChildren, getDeepestActive, getDeepestActive, getLocation, insert, intersects, move, paint, recursiveRemove, remove, scale, size, updateBounds`

Methods inherited from class ru.biosoft.graphics.View
`getModel, getShape, isActive, isVisible, move, setActive, setLocation, setLocation, setModel, setToScale, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARROW_TIP

    public static final int ARROW_TIP

See Also:
  Constant Field Values

### TRIANGLE_TIP

    public static final int TRIANGLE_TIP

See Also:
  Constant Field Values

### SIMPLE_TIP

    public static final int SIMPLE_TIP

See Also:
  Constant Field Values

### DIAMOND_TIP

    public static final int DIAMOND_TIP

See Also:
  Constant Field Values

### pen

    protected Pen pen

Constructor Detail

### ArrowView

    public ArrowView(Pen pen,
                     Brush brush,
                     java.awt.Point pt0,
                     java.awt.Point pt1,
                     int startTip,
                     int endTip)

### ArrowView

    public ArrowView(Pen pen,
                     java.awt.Point pt0,
                     java.awt.Point pt1,
                     int startTip,
                     int endTip)

### ArrowView

    public ArrowView(Pen pen,
                     int x1,
                     int y1,
                     int x2,
                     int y2,
                     int startTip,
                     int endTip)

### ArrowView

    public ArrowView(Pen pen,
                     Brush brush,
                     int x1,
                     int y1,
                     int x2,
                     int y2,
                     int startTipType,
                     int endTipType)

### ArrowView

    public ArrowView(Pen pen,
                     Brush brush,
                     int x1,
                     int y1,
                     int x2,
                     int y2,
                     ArrowView.Tip startTip,
                     ArrowView.Tip endTip)

Method Detail

### createTip

    public static ArrowView.Tip createTip(Pen pen,
                                          Brush brush,
                                          int tipType)

### createArrowTip

    public static ArrowView.Tip createArrowTip(Pen pen,
                                               Brush brush,
                                               int w1,
                                               int w2,
                                               int h)

### createTriangleTip

    public static ArrowView.Tip createTriangleTip(Pen pen,
                                                  Brush brush,
                                                  int w,
                                                  int h)

### createSimpleTip

    public static ArrowView.Tip createSimpleTip(Pen pen,
                                                int w,
                                                int h)

### createDiamondTip

    public static ArrowView.Tip createDiamondTip(Pen pen,
                                                 Brush brush,
                                                 int w1,
                                                 int w2,
                                                 int h)

### locateTip

    public static void locateTip(ArrowView.Tip tip,
                                 double alpha,
                                 int x,
                                 int y)

### rotate

    public static void rotate(java.awt.Polygon pol,
                              double alpha)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.